import request from '@/utils/request';
// 查询主设备个数
export function getMainDeviceNumber(params:any){
  return request({
    url: '/basedata/substation-maindevice/getMainDeviceNumber' ,
    method: 'get',
    params:params
  });
}
// 获取巡视设备在线率
export function getPatrolDeviceOnLine(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getPatrolDeviceOnLine' ,
    method: 'get',
    params:params
  });
}

// 查询环境信息
export function getWeatherLogList(params:any){
  return request({
    url: '/basedata/weather-log/getWeatherLog' ,
    method: 'get',
    params:params
  });
}
export function getDeviceWorkData(params:any){
  return request({
    url: '/auxcontrol/device-work-data/getDeviceWorkData' ,
    method: 'get',
    params:params
  });
}

// 查询报警信息
export function getAlarmLogList(params:any){
  return request({
    url: '/patroltask/task-alarm/getAlarmLogList' ,
    method: 'get',
    params:params
  });
}

// 异常事件统计
export function getExceptionEventStat(params:any){
  return request({
    url: '/patroltask/task-alarm/getExceptionEventStat' ,
    method: 'get',
    params:params
  });
}

// 异常事件统计
export function getTaskTodoStat(params:any){
  return request({
    url: '/patroltasks/task-todo/getTaskTodoStat' ,
    method: 'get',
    params:params
  });
}


// 查询未审核告警数量
export function getNotCheckAlarmCount(params:any){
  return request({
    url: '/patroltask/task-alarm/getNotCheckAlarmCount' ,
    method: 'get',
    params:params
  });
}

// 根据告警信息ID查询详情
export function getAlarmLogById(params:any){
  return request({
    url: '/patroltask/task-alarm/getAlarmLogById' ,
    method: 'get',
    params:params
  });
}
//告警准确率
export function getConfirmationRate(params:any){
  return request({
    url: '/patroltask/task-alarm/getConfirmationRate' ,
    method: 'get',
    params:params
  });
}

